# VLSI SAPD Documentation

Presentation | AGDS | CIF | DTR | OPENCHAMS | SPICE | Links & Contact

Public Member Functions
Operator::Constraint Class Reference

## Public Member Functions
| Constraint (const std::string &ref, const std::string &refParam, double factor)
| creates a new constraint. More...
double | getFactor ()
| returns the factor of the constraint.
const std::string & | getRef ()
| returns the name of the object referenced by the constraint.
const std::string & | getRefParam ()
| returns the name of the parameter referenced by the constraint.

## Detailed Description

This class describes a constraint. A constraint is used to set that a parameter's value is defined relative to another parameter value or to an equation: deviceA.paramI = deviceB.paramJ * factor deviceA.paramI = equation * factor

## Constructor & Destructor Documentation

## ◆ Constraint()

Constraint | ( | const std::string & | ref,
|  | const std::string & | refParam,
|  | double | factor
| ) |  |

creates a new constraint.

Parameters

  ref | the reference object (device, instace or circuit).
  refParam | the reference parameter.
  factor | the factor of the constraint.

Generated by doxygen 1.8.14 on Thu Oct 18 2018 | Return to top of page

VLSI SAPD Documentation | Copyright © 2010 - 2011 UPMC All rights reserved